> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List available OAuth providers



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/auth/oauth/providers
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /api/v1/auth/oauth/providers:
    get:
      tags:
        - oauth-consumer
      summary: List available OAuth providers
      responses:
        '200':
          description: Providers
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OAuthProviders'
components:
  schemas:
    OAuthProviders:
      type: object
      properties:
        providers:
          type: array
          items:
            type: string
      required:
        - providers

````